package serializers;

import com.vividsolutions.jts.geom.Geometry;

import flexjson.JSONSerializer;
import utils.SerializerUtil;
import utils.flexjson.GeometryTransformer;

public class EmpreendimentoSerializer {

	public static JSONSerializer listGrid = SerializerUtil.create(
			"pageItems.id",
			"pageItems.empreendimentoEU.denominacao",
			"pageItems.empreendimentoEU.pessoa.cpf",
			"pageItems.empreendimentoEU.pessoa.cnpj",
			"pageItems.empreendimentoEU.empreendedor.pessoa.nome",
			"pageItems.empreendimentoEU.empreendedor.pessoa.razaoSocial",
			"pageItems.empreendimentoEU.empreendedor.pessoa.cpf",
			"pageItems.empreendimentoEU.empreendedor.pessoa.cnpj",
			"pageItems.empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.sigla",
			"pageItems.empreendimentoEU.empreendedor.pessoa.enderecos.municipio.nome",
			"pageItems.empreendimentoEU.empreendedor.id",
			"pageItems.empreendimentoEU.empreendedor.podeSerExcluido",
			"pageItems.municipio.nome",
			"pageItems.municipio.estado.id",
			"pageItems.municipio.estado.codigo",
			"pageItems.municipio.estado.nome",
			"pageItems.removivel",
			"pageItems.cnaes.id",
			"pageItems.cnaes.codigo",
			"pageItems.possuiCaracterizacoes",
			"totalResults");

	public static JSONSerializer findByIdResumido = SerializerUtil.create(
			"id",
			"denominacao",
			"jurisdicao",
			"municipio.nome",
			"municipio.estado.id",
			"municipio.estado.codigo",
			"municipio.estado.nome",
			"municipio.id",
			"enderecos.municipio.estado.id",
			"enderecos.municipio.estado.nome",
			"enderecos.municipio.estado.codigo",
			"enderecos.roteiroAcesso",
			"proprietarios.pessoa.enderecos.complemento",
			"proprietarios.pessoa.enderecos.bairro",
			"pessoa.enderecos.roteiroAcesso",
			"pessoa.enderecos.tipo",
			"pessoa.type",
			"empreendimentoEU.denominacao",
			"empreendimentoEU.enderecos.tipo.id",
			"empreendimentoEU.enderecos.logradouro",
			"empreendimentoEU.enderecos.numero",
			"empreendimentoEU.enderecos.caixaPostal",
			"empreendimentoEU.enderecos.bairro",
			"empreendimentoEU.enderecos.complemento",
			"empreendimentoEU.enderecos.cep",
			"empreendimentoEU.empreendedor.pessoa.nome",
			"empreendimentoEU.empreendedor.pessoa.id",
			"empreendimentoEU.empreendedor.pessoa.cpf",
			"empreendimentoEU.empreendedor.pessoa.razaoSocial",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"imovel.codigo",
			"imovel.nome",
			"imovel.limite",
			"imovel.municipio.nome",
			"imovel.municipio.estado.nome"

	)
			.transform(new GeometryTransformer(), Geometry.class);

	public static JSONSerializer getEmpreendimentoReduzido = SerializerUtil.create(
			"id",
			"empreendimentoEU.denominacao",
			"empreendimentoEU.empreendedor",
			"empreendimentoEU.empreendedor.pessoa.nome",
			"empreendimentoEU.empreendedor.pessoa.id",
			"empreendimentoEU.empreendedor.pessoa.idEntradaUnica",
			"empreendimentoEU.empreendedor.pessoa.cpf",
			"empreendimentoEU.empreendedor.pessoa.razaoSocial",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"empreendimentoEU.empreendedor.pessoa.inscricaoEstadual",
			"empreendimentoEU.empreendedor.pessoa.isento",
			"empreendimentoEU.empreendedor.pessoa.municipio.id",
			"empreendimentoEU.empreendedor.pessoa.type",
			"imovel.limite"
	);


	public static JSONSerializer getEmpreendimento = SerializerUtil.create(
			"id",
			"empreendimentoJaCadastrado",
			"cpfCnpj",
			"cpfCnpjCadastrante",
			"possuiCaracterizacoes",
			"denominacao",
			"jurisdicao",
			"jurisdicao.nome",
			"localizacao.id",
			"localizacao.nome",
			"isento",
			"imovel.id",
			"imovel.codigo",
			"imovel.limite",
			"imovel.idCar",
			"imovel.nome",
			"imovel.municipio.nome",
			"imovel.municipio.estado.nome",
			"imovel.municipio.estado.codigo",
			"municipioLicenciamento.id",
			"municipioLicenciamento.nome",
			"municipioLicenciamento.estado",
			"municipioLicenciamento.estado.codigo",
			"municipioLicenciamento.estado.id",
			"municipioLicenciamento.estado.nome",
			"municipio.id",
			"municipio.nome",
			"municipio.estado.codigo",
			"municipio.estado.id",
			"municipio.estado.nome",
			"municipio.estado.limite",
			"empreendimentoEU.denominacao",
			"empreendimentoEU.proprietarios.id",
			"empreendimentoEU.proprietarios.tipo",
			"empreendimentoEU.proprietarios.nome",
			"empreendimentoEU.proprietarios.razaoSocial",
			"empreendimentoEU.proprietarios.cpf",
			"empreendimentoEU.proprietarios.cnpj",
			"empreendimentoEU.proprietarios.municipio.codigoIbge",
			"empreendimentoEU.proprietarios.inscricaoEstadual",
			"empreendimentoEU.proprietarios.sexo",
			"empreendimentoEU.proprietarios.dataNascimento",
			"empreendimentoEU.proprietarios.dataConstituicao",
			"empreendimentoEU.proprietarios.estadoCivil",
			"empreendimentoEU.proprietarios.nomeMae",
			"empreendimentoEU.proprietarios.naturalidade",
			"empreendimentoEU.proprietarios.rg.numero",
			"empreendimentoEU.proprietarios.rg.orgaoExpedidor",
			"empreendimentoEU.proprietarios.tituloEleitoral.numero",
			"empreendimentoEU.proprietarios.tituloEleitoral.secao",
			"empreendimentoEU.proprietarios.tituloEleitoral.zona",
			"empreendimentoEU.proprietarios.contatos.id",
			"empreendimentoEU.proprietarios.contatos.principal",
			"empreendimentoEU.proprietarios.contatos.valor",
			"empreendimentoEU.proprietarios.contatos.tipo.id",
			"empreendimentoEU.proprietarios.contatos.tipo.descricao",
			"empreendimentoEU.proprietarios.enderecos.cep",
			"empreendimentoEU.proprietarios.enderecos.logradouro",
			"empreendimentoEU.proprietarios.enderecos.numero",
			"empreendimentoEU.proprietarios.enderecos.complemento",
			"empreendimentoEU.proprietarios.enderecos.tipo.id",
			"empreendimentoEU.proprietarios.enderecos.municipio.nome",
			"empreendimentoEU.proprietarios.enderecos.municipio.estado.sigla",
			"empreendimentoEU.proprietarios.enderecos.municipio.estado.id",
			"empreendimentoEU.proprietarios.enderecos.municipio.estado.nome",
			"empreendimentoEU.proprietarios.enderecos.municipio.codigoIbge",
			"empreendimentoEU.proprietarios.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.representantesLegais.id",
			"empreendimentoEU.representantesLegais.dataCadastro",
			"empreendimentoEU.representantesLegais.tipo",
			"empreendimentoEU.representantesLegais.nome",
			"empreendimentoEU.representantesLegais.cpf",
			"empreendimentoEU.representantesLegais.contatos.id",
			"empreendimentoEU.representantesLegais.contatos.principal",
			"empreendimentoEU.representantesLegais.contatos.valor",
			"empreendimentoEU.representantesLegais.contatos.tipo.id",
			"empreendimentoEU.representantesLegais.contatos.tipo.descricao",
			"empreendimentoEU.representantesLegais.enderecos.cep",
			"empreendimentoEU.representantesLegais.enderecos.logradouro",
			"empreendimentoEU.representantesLegais.enderecos.numero",
			"empreendimentoEU.representantesLegais.enderecos.complemento",
			"empreendimentoEU.representantesLegais.enderecos.tipo.id",
			"empreendimentoEU.representantesLegais.enderecos.municipio.nome",
			"empreendimentoEU.representantesLegais.enderecos.municipio.estado.id",
			"empreendimentoEU.representantesLegais.enderecos.municipio.estado.nome",
			"empreendimentoEU.representantesLegais.enderecos.municipio.estado.sigla",
			"empreendimentoEU.representantesLegais.enderecos.municipio.codigoIbge",
			"empreendimentoEU.representantesLegais.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.responsaveisLegais.id",
			"empreendimentoEU.responsaveisLegais.tipo",
			"empreendimentoEU.responsaveisLegais.nome",
			"empreendimentoEU.responsaveisLegais.cpf",
			"empreendimentoEU.responsaveisLegais.contatos.id",
			"empreendimentoEU.responsaveisLegais.contatos.principal",
			"empreendimentoEU.responsaveisLegais.contatos.valor",
			"empreendimentoEU.responsaveisLegais.contatos.tipo.id",
			"empreendimentoEU.responsaveisLegais.contatos.tipo.descricao",
			"empreendimentoEU.responsaveisLegais.usuario.email",
			"empreendimentoEU.responsaveisLegais.enderecos.cep",
			"empreendimentoEU.responsaveisLegais.enderecos.logradouro",
			"empreendimentoEU.responsaveisLegais.enderecos.numero",
			"empreendimentoEU.responsaveisLegais.enderecos.complemento",
			"empreendimentoEU.responsaveisLegais.enderecos.tipo.id",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.nome",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.estado.sigla",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.codigoIbge",
			"empreendimentoEU.responsaveisLegais.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.responsaveisTecnicos.id",
			"empreendimentoEU.responsaveisTecnicos.tipo",
			"empreendimentoEU.responsaveisTecnicos.nome",
			"empreendimentoEU.responsaveisTecnicos.razaoSocial",
			"empreendimentoEU.responsaveisTecnicos.cpf",
			"empreendimentoEU.responsaveisTecnicos.cnpj",
			"empreendimentoEU.responsaveisTecnicos.contatos.id",
			"empreendimentoEU.responsaveisTecnicos.contatos.principal",
			"empreendimentoEU.responsaveisTecnicos.contatos.valor",
			"empreendimentoEU.responsaveisTecnicos.contatos.tipo.id",
			"empreendimentoEU.responsaveisTecnicos.contatos.tipo.descricao",
			"empreendimentoEU.responsaveisTecnicos.municipio.codigoIbge",
			"empreendimentoEU.responsaveisTecnicos.inscricaoEstadual",
			"empreendimentoEU.responsaveisTecnicos.enderecos.cep",
			"empreendimentoEU.responsaveisTecnicos.enderecos.logradouro",
			"empreendimentoEU.responsaveisTecnicos.enderecos.numero",
			"empreendimentoEU.responsaveisTecnicos.enderecos.complemento",
			"empreendimentoEU.responsaveisTecnicos.enderecos.tipo.id",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.nome",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.estado.sigla",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.codigoIbge",
			"empreendimentoEU.responsaveisTecnicos.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.proprietarios.tipo.codigo",
			"empreendimentoEU.localizacao.geometria",
			"empreendimentoEU.contatos.id",
			"empreendimentoEU.contatos.tipo.id",
			"empreendimentoEU.contatos.tipo.descricao",
			"empreendimentoEU.contatos.valor",
			"empreendimentoEU.contatos.principal",
			"empreendimentoEU.enderecos.id",
			"empreendimentoEU.enderecos.tipo.id",
			"empreendimentoEU.enderecos.tipo.descricao",
			"empreendimentoEU.enderecos.logradouro",
			"empreendimentoEU.enderecos.numero",
			"empreendimentoEU.enderecos.semNumero",
			"empreendimentoEU.enderecos.caixaPostal",
			"empreendimentoEU.enderecos.bairro",
			"empreendimentoEU.enderecos.complemento",
			"empreendimentoEU.enderecos.cep",
			"empreendimentoEU.enderecos.descricaoAcesso",
			"empreendimentoEU.enderecos.municipio.id",
			"empreendimentoEU.enderecos.municipio.nome",
			"empreendimentoEU.enderecos.municipio.codigoIbge",
			"empreendimentoEU.municipio.estado.id",
			"empreendimentoEU.enderecos.municipio.estado.id",
			"empreendimentoEU.enderecos.municipio.estado.nome",
			"empreendimentoEU.enderecos.municipio.estado.sigla",
			"empreendimentoEU.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.enderecos.pais.id",
			"empreendimentoEU.pessoa.municipio.estado.sigla",
			"empreendimentoEU.empreendedor.id",
			"empreendimentoEU.empreendedor.dataCadastro",
			"empreendimentoEU.empreendedor.ativo",
			"empreendimentoEU.empreendedor.pessoa.nome",
			"empreendimentoEU.empreendedor.pessoa.cpf",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"empreendimentoEU.empreendedor.pessoa.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.tipo.codigo",
			"empreendimentoEU.empreendedor.pessoa.id",
			"empreendimentoEU.empreendedor.pessoa.sexo.descricao",
			"empreendimentoEU.empreendedor.pessoa.sexo.codigo",
			"empreendimentoEU.empreendedor.pessoa.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.empreendedor.pessoa.dataNascimento",
			"empreendimentoEU.empreendedor.pessoa.estadoCivil.nome",
			"empreendimentoEU.empreendedor.pessoa.estadoCivil.codigo",
			"empreendimentoEU.empreendedor.pessoa.nomeMae",
			"empreendimentoEU.empreendedor.pessoa.naturalidade",
			"empreendimentoEU.empreendedor.pessoa.rg.numero",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.numero",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.secao",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.zona",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"empreendimentoEU.empreendedor.pessoa.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.nomeFantasia",
			"empreendimentoEU.empreendedor.pessoa.razaoSocial",
			"empreendimentoEU.empreendedor.pessoa.dataConstituicao",
			"empreendimentoEU.empreendedor.pessoa.inscricaoEstadual",
			"empreendimentoEU.empreendedor.pessoa.contatos.id",
			"empreendimentoEU.empreendedor.pessoa.contatos.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.contatos.tipo.descricao",
			"empreendimentoEU.empreendedor.pessoa.contatos.valor",
			"empreendimentoEU.empreendedor.pessoa.contatos.principal",
			"empreendimentoEU.empreendedor.pessoa.enderecos.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.tipo.descricao",
			"empreendimentoEU.empreendedor.pessoa.enderecos.logradouro",
			"empreendimentoEU.empreendedor.pessoa.enderecos.numero",
			"empreendimentoEU.empreendedor.pessoa.enderecos.caixaPostal",
			"empreendimentoEU.empreendedor.pessoa.enderecos.bairro",
			"empreendimentoEU.empreendedor.pessoa.enderecos.complemento",
			"empreendimentoEU.empreendedor.pessoa.enderecos.cep",
			"empreendimentoEU.empreendedor.pessoa.enderecos.descricaoAcesso",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.sigla",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.pais.id",
			"empreendimentoEU.pessoa.jurisdicao",
			"empreendimentoEU.pessoa.id",
			"empreendimentoEU.pessoa.idEntradaUnica",
			"empreendimentoEU.pessoa.nome",
			"empreendimentoEU.pessoa.cpf",
			"empreendimentoEU.pessoa.rg.numero",
			"empreendimentoEU.pessoa.nomeMae",
			"empreendimentoEU.pessoa.dataNascimento",
			"empreendimentoEU.pessoa.sexo.descricao",
			"empreendimentoEU.pessoa.sexo.codigo",
			"empreendimentoEU.pessoa.sexo.codigo",
			"empreendimentoEU.pessoa.tituloEleitoral.numero",
			"empreendimentoEU.pessoa.tituloEleitoral.secao",
			"empreendimentoEU.pessoa.tituloEleitoral.zona",
			"empreendimentoEU.pessoa.estadoCivil.id",
			"empreendimentoEU.pessoa.estadoCivil.nome",
			"empreendimentoEU.pessoa.estadoCivil.codigo",
			"empreendimentoEU.pessoa.naturalidade",
			"empreendimentoEU.pessoa.cnpj",
			"empreendimentoEU.pessoa.razaoSocial",
			"empreendimentoEU.pessoa.nomeFantasia",
			"empreendimentoEU.pessoa.inscricaoEstadual",
			"empreendimentoEU.pessoa.isento",
			"empreendimentoEU.pessoa.dataConstituicao",
			"empreendimentoEU.pessoa.esfera",
			"empreendimentoEU.pessoa.tipo.codigo",
			"empreendimentoEU.pessoa.contatos.id",
			"empreendimentoEU.pessoa.contatos.principal",
			"empreendimentoEU.pessoa.contatos.valor",
			"empreendimentoEU.pessoa.contatos.tipo.id",
			"empreendimentoEU.pessoa.contatos.tipo.descricao",
			"empreendimentoEU.pessoa.enderecos.id",
			"empreendimentoEU.pessoa.enderecos.tipo.id",
			"empreendimentoEU.pessoa.enderecos.tipo.codigo",
			"empreendimentoEU.pessoa.enderecos.cep",
			"empreendimentoEU.pessoa.enderecos.logradouro",
			"empreendimentoEU.pessoa.enderecos.numero",
			"empreendimentoEU.pessoa.enderecos.semNumero",
			"empreendimentoEU.pessoa.enderecos.complemento",
			"empreendimentoEU.pessoa.enderecos.bairro",
			"empreendimentoEU.pessoa.enderecos.caixaPostal",
			"empreendimentoEU.pessoa.enderecos.roteiroAcesso",
			"empreendimentoEU.pessoa.enderecos.municipio.id",
			"empreendimentoEU.pessoa.enderecos.municipio.nome",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.codigo",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.nome",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.sigla",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.id",
			"empreendimentoEU.pessoa.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.pessoa.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.pessoa.enderecos.correspondencia",
			"empreendimentoEU.pessoa.isJunta")
			.transform(new GeometryTransformer(), Geometry.class)
			.exclude("*");

	public static JSONSerializer getEmpreendimentoVinculo = SerializerUtil.create(
			"mensagem",
			"existeVinculo")
			.exclude("*");

	public static JSONSerializer findToUpdate = SerializerUtil.create(
			"id",
			"jurisdicao",
			"municipio.id",
			"municipio.nome",
			"municipio.estado.nome",
			"municipio.estado.codigo",
			"empreendimentoEU.contatos.id",
			"empreendimentoEU.contatos.principal",
			"empreendimentoEU.contatos.valor",
			"empreendimentoEU.contatos.tipo.id",
			"empreendimentoEU.contatos.tipo.descricao",
			"empreendimentoEU.denominacao",
			"empreendimentoEU.proprietarios.id",
			"empreendimentoEU.proprietarios.tipo.nome",
			"empreendimentoEU.proprietarios.tipo.codigo",
			"empreendimentoEU.proprietarios.tipo.descricao",
			"empreendimentoEU.proprietarios.nome",
			"empreendimentoEU.proprietarios.razaoSocial",
			"empreendimentoEU.proprietarios.cpf",
			"empreendimentoEU.proprietarios.cnpj",
			"empreendimentoEU.proprietarios.municipio.codigoIbge",
			"empreendimentoEU.proprietarios.inscricaoEstadual",
			"empreendimentoEU.proprietarios.sexo.nome",
			"empreendimentoEU.proprietarios.sexo.codigo",
			"empreendimentoEU.proprietarios.sexo.descricao",
			"empreendimentoEU.proprietarios.dataNascimento",
			"empreendimentoEU.proprietarios.dataConstituicao",
			"empreendimentoEU.proprietarios.estadoCivil.codigo",
			"empreendimentoEU.proprietarios.estadoCivil.descricao",
			"empreendimentoEU.proprietarios.estadoCivil.nome",
			"empreendimentoEU.proprietarios.nomeMae",
			"empreendimentoEU.proprietarios.naturalidade",
			"empreendimentoEU.proprietarios.rg.numero",
			"empreendimentoEU.proprietarios.rg.orgaoExpedidor",
			"empreendimentoEU.proprietarios.tituloEleitoral.numero",
			"empreendimentoEU.proprietarios.tituloEleitoral.secao",
			"empreendimentoEU.proprietarios.tituloEleitoral.zona",
			"empreendimentoEU.proprietarios.enderecos.cep",
			"empreendimentoEU.proprietarios.enderecos.logradouro",
			"empreendimentoEU.proprietarios.enderecos.numero",
			"empreendimentoEU.proprietarios.enderecos.complemento",
			"empreendimentoEU.proprietarios.enderecos.tipo.id",
			"empreendimentoEU.proprietarios.enderecos.municipio.id",
			"empreendimentoEU.proprietarios.enderecos.municipio.nome",
			"empreendimentoEU.proprietarios.enderecos.municipio.estado.sigla",
			"empreendimentoEU.proprietarios.enderecos.municipio.estado.id",
			"empreendimentoEU.proprietarios.enderecos.municipio.estado.nome",
			"empreendimentoEU.proprietarios.enderecos.municipio.codigoIbge",
			"empreendimentoEU.proprietarios.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.proprietarios.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.proprietarios.contatos.id",
			"empreendimentoEU.proprietarios.contatos.principal",
			"empreendimentoEU.proprietarios.contatos.valor",
			"empreendimentoEU.proprietarios.contatos.tipo.id",
			"empreendimentoEU.proprietarios.contatos.tipo.descricao",
			"empreendimentoEU.representantesLegais.id",
			"empreendimentoEU.representantesLegais.dataCadastro",
			"empreendimentoEU.representantesLegais.tipo.nome",
			"empreendimentoEU.representantesLegais.tipo.codigo",
			"empreendimentoEU.representantesLegais.nome",
			"empreendimentoEU.representantesLegais.cpf",
			"empreendimentoEU.representantesLegais.estadoCivil.codigo",
			"empreendimentoEU.representantesLegais.estadoCivil.descricao",
			"empreendimentoEU.representantesLegais.estadoCivil.nome",
			"empreendimentoEU.representantesLegais.contatos.id",
			"empreendimentoEU.representantesLegais.contatos.principal",
			"empreendimentoEU.representantesLegais.contatos.valor",
			"empreendimentoEU.representantesLegais.contatos.tipo.id",
			"empreendimentoEU.representantesLegais.contatos.tipo.descricao",
			"empreendimentoEU.representantesLegais.enderecos.cep",
			"empreendimentoEU.representantesLegais.enderecos.logradouro",
			"empreendimentoEU.representantesLegais.enderecos.numero",
			"empreendimentoEU.representantesLegais.enderecos.complemento",
			"empreendimentoEU.representantesLegais.enderecos.tipo.id",
			"empreendimentoEU.representantesLegais.enderecos.municipio.nome",
			"empreendimentoEU.representantesLegais.enderecos.municipio.estado.id",
			"empreendimentoEU.representantesLegais.enderecos.municipio.estado.nome",
			"empreendimentoEU.representantesLegais.enderecos.municipio.estado.sigla",
			"empreendimentoEU.representantesLegais.enderecos.municipio.codigoIbge",
			"empreendimentoEU.representantesLegais.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.representantesLegais.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.responsaveisLegais.id",
			"empreendimentoEU.responsaveisLegais.tipo.nome",
			"empreendimentoEU.responsaveisLegais.tipo.codigo",
			"empreendimentoEU.responsaveisLegais.nome",
			"empreendimentoEU.responsaveisLegais.cpf",
			"empreendimentoEU.responsaveisLegais.estadoCivil.codigo",
			"empreendimentoEU.responsaveisLegais.estadoCivil.descricao",
			"empreendimentoEU.responsaveisLegais.estadoCivil.nome",
			"empreendimentoEU.responsaveisLegais.contatos.id",
			"empreendimentoEU.responsaveisLegais.contatos.principal",
			"empreendimentoEU.responsaveisLegais.contatos.valor",
			"empreendimentoEU.responsaveisLegais.contatos.tipo.id",
			"empreendimentoEU.responsaveisLegais.contatos.tipo.descricao",
			"empreendimentoEU.responsaveisLegais.usuario.email",
			"empreendimentoEU.responsaveisLegais.enderecos.cep",
			"empreendimentoEU.responsaveisLegais.enderecos.logradouro",
			"empreendimentoEU.responsaveisLegais.enderecos.numero",
			"empreendimentoEU.responsaveisLegais.enderecos.complemento",
			"empreendimentoEU.responsaveisLegais.enderecos.tipo.id",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.nome",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.estado.sigla",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.estado.nome",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.estado.id",
			"empreendimentoEU.responsaveisLegais.enderecos.municipio.codigoIbge",
			"empreendimentoEU.responsaveisLegais.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.responsaveisLegais.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.responsaveisTecnicos.id",
			"empreendimentoEU.responsaveisTecnicos.tipo.codigo",
			"empreendimentoEU.responsaveisTecnicos.tipo.nome",
			"empreendimentoEU.responsaveisTecnicos.nome",
			"empreendimentoEU.responsaveisTecnicos.razaoSocial",
			"empreendimentoEU.responsaveisTecnicos.cpf",
			"empreendimentoEU.responsaveisTecnicos.cnpj",
			"empreendimentoEU.responsaveisTecnicos.estadoCivil.codigo",
			"empreendimentoEU.responsaveisTecnicos.estadoCivil.descricao",
			"empreendimentoEU.responsaveisTecnicos.estadoCivil.nome",
			"empreendimentoEU.responsaveisTecnicos.contatos.id",
			"empreendimentoEU.responsaveisTecnicos.contatos.principal",
			"empreendimentoEU.responsaveisTecnicos.contatos.valor",
			"empreendimentoEU.responsaveisTecnicos.contatos.tipo.id",
			"empreendimentoEU.responsaveisTecnicos.contatos.tipo.descricao",
			"empreendimentoEU.responsaveisTecnicos.municipio.codigoIbge",
			"empreendimentoEU.responsaveisTecnicos.inscricaoEstadual",
			"empreendimentoEU.responsaveisTecnicos.enderecos.cep",
			"empreendimentoEU.responsaveisTecnicos.enderecos.logradouro",
			"empreendimentoEU.responsaveisTecnicos.enderecos.numero",
			"empreendimentoEU.responsaveisTecnicos.enderecos.complemento",
			"empreendimentoEU.responsaveisTecnicos.enderecos.tipo.id",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.nome",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.estado.id",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.estado.nome",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.estado.sigla",
			"empreendimentoEU.responsaveisTecnicos.enderecos.municipio.codigoIbge",
			"empreendimentoEU.responsaveisTecnicos.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.responsaveisTecnicos.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.enderecos.id",
			"empreendimentoEU.enderecos.tipo.id",
			"empreendimentoEU.enderecos.tipo.descricao",
			"empreendimentoEU.enderecos.logradouro",
			"empreendimentoEU.enderecos.numero",
			"empreendimentoEU.enderecos.caixaPostal",
			"empreendimentoEU.enderecos.bairro",
			"empreendimentoEU.enderecos.complemento",
			"empreendimentoEU.enderecos.cep",
			"empreendimentoEU.enderecos.descricaoAcesso",
			"empreendimentoEU.enderecos.municipio.id",
			"empreendimentoEU.enderecos.municipio.nome",
			"empreendimentoEU.enderecos.municipio.codigoIbge",
			"empreendimentoEU.enderecos.municipio.estado.id",
			"empreendimentoEU.enderecos.municipio.estado.sigla",
			"empreendimentoEU.enderecos.municipio.estado.nome",
			"empreendimentoEU.enderecos.municipio.codigoIbge",
			"empreendimentoEU.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.enderecos.pais.id",
			"empreendimentoEU.empreendedor.id",
			"empreendimentoEU.empreendedor.dataCadastro",
			"empreendimentoEU.empreendedor.ativo",
			"empreendimentoEU.empreendedor.pessoa.nome",
			"empreendimentoEU.empreendedor.pessoa.cpf",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"empreendimentoEU.empreendedor.pessoa.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.tipo.codigo",
			"empreendimentoEU.empreendedor.pessoa.id",
			"empreendimentoEU.empreendedor.pessoa.sexo.descricao",
			"empreendimentoEU.empreendedor.pessoa.sexo.codigo",
			"empreendimentoEU.empreendedor.pessoa.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.empreendedor.pessoa.dataNascimento",
			"empreendimentoEU.empreendedor.pessoa.estadoCivil.nome",
			"empreendimentoEU.empreendedor.pessoa.estadoCivil.codigo",
			"empreendimentoEU.empreendedor.pessoa.nomeMae",
			"empreendimentoEU.empreendedor.pessoa.naturalidade",
			"empreendimentoEU.empreendedor.pessoa.rg.numero",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.numero",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.secao",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.zona",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"empreendimentoEU.empreendedor.pessoa.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.nomeFantasia",
			"empreendimentoEU.empreendedor.pessoa.razaoSocial",
			"empreendimentoEU.empreendedor.pessoa.dataConstituicao",
			"empreendimentoEU.empreendedor.pessoa.inscricaoEstadual",
			"empreendimentoEU.empreendedor.pessoa.contatos.id",
			"empreendimentoEU.empreendedor.pessoa.contatos.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.contatos.tipo.descricao",
			"empreendimentoEU.empreendedor.pessoa.contatos.valor",
			"empreendimentoEU.empreendedor.pessoa.contatos.principal",
			"empreendimentoEU.empreendedor.pessoa.enderecos.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.tipo.descricao",
			"empreendimentoEU.empreendedor.pessoa.enderecos.logradouro",
			"empreendimentoEU.empreendedor.pessoa.enderecos.numero",
			"empreendimentoEU.empreendedor.pessoa.enderecos.caixaPostal",
			"empreendimentoEU.empreendedor.pessoa.enderecos.bairro",
			"empreendimentoEU.empreendedor.pessoa.enderecos.complemento",
			"empreendimentoEU.empreendedor.pessoa.enderecos.cep",
			"empreendimentoEU.empreendedor.pessoa.enderecos.descricaoAcesso",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.sigla",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.pais.id",
			"empreendimentoEU.pessoa.jurisdicao",
			"empreendimentoEU.pessoa.id",
			"empreendimentoEU.pessoa.idEntradaUnica",
			"empreendimentoEU.pessoa.nome",
			"empreendimentoEU.pessoa.cpf",
			"empreendimentoEU.pessoa.rg.numero",
			"empreendimentoEU.pessoa.nomeMae",
			"empreendimentoEU.pessoa.dataNascimento",
			"empreendimentoEU.pessoa.sexo.descricao",
			"empreendimentoEU.pessoa.sexo.codigo",
			"empreendimentoEU.pessoa.sexo.codigo",
			"empreendimentoEU.pessoa.tituloEleitoral.numero",
			"empreendimentoEU.pessoa.tituloEleitoral.secao",
			"empreendimentoEU.pessoa.tituloEleitoral.zona",
			"empreendimentoEU.pessoa.estadoCivil.id",
			"empreendimentoEU.pessoa.estadoCivil.nome",
			"empreendimentoEU.pessoa.estadoCivil.codigo",
			"empreendimentoEU.pessoa.naturalidade",
			"empreendimentoEU.pessoa.cnpj",
			"empreendimentoEU.pessoa.razaoSocial",
			"empreendimentoEU.pessoa.nomeFantasia",
			"empreendimentoEU.pessoa.inscricaoEstadual",
			"empreendimentoEU.pessoa.isento",
			"empreendimentoEU.pessoa.dataConstituicao",
			"empreendimentoEU.pessoa.esfera",
			"empreendimentoEU.pessoa.tipo.codigo",
			"empreendimentoEU.pessoa.contatos.id",
			"empreendimentoEU.pessoa.contatos.principal",
			"empreendimentoEU.pessoa.contatos.valor",
			"empreendimentoEU.pessoa.contatos.tipo.id",
			"empreendimentoEU.pessoa.contatos.tipo.descricao",
			"empreendimentoEU.pessoa.enderecos.id",
			"empreendimentoEU.pessoa.enderecos.tipo.id",
			"empreendimentoEU.pessoa.enderecos.tipo.codigo",
			"empreendimentoEU.pessoa.enderecos.cep",
			"empreendimentoEU.pessoa.enderecos.logradouro",
			"empreendimentoEU.pessoa.enderecos.numero",
			"empreendimentoEU.pessoa.enderecos.semNumero",
			"empreendimentoEU.pessoa.enderecos.complemento",
			"empreendimentoEU.pessoa.enderecos.bairro",
			"empreendimentoEU.pessoa.enderecos.caixaPostal",
			"empreendimentoEU.pessoa.enderecos.roteiroAcesso",
			"empreendimentoEU.pessoa.enderecos.municipio.id",
			"empreendimentoEU.pessoa.enderecos.municipio.nome",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.codigo",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.nome",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.sigla",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.id",
			"empreendimentoEU.localizacao.geometria",
			"empreendimentoEU.localizacao.id",
			"temCaracterizacoes",
			"imovel.codigo",
			"imovel.nome",
			"imovel.limite",
			"imovel.municipio.nome",
			"imovel.municipio.estado.nome")
			.transform(new GeometryTransformer(), Geometry.class);

	public static JSONSerializer findByCpfCnpj = SerializerUtil.create(
			"contato.email",
			"contato.telefone",
			"contato.celular",
			"enderecos.id",
			"enderecos.logradouro",
			"enderecos.numero",
			"enderecos.semNumero",
			"enderecos.cep",
			"enderecos.complemento",
			"enderecos.bairro",
			"enderecos.correspondencia",
			"enderecos.caixaPostal",
			"enderecos.municipio.nome",
			"enderecos.municipio.estado.codigo",
			"enderecos.municipio.estado.id",
			"enderecos.municipio.estado.nome",
			"enderecos.roteiroAcesso",
			"enderecos.tipo",
			"pessoa.id",
			"pessoa.idEntradaUnica",
			"pessoa.type",
			"pessoa.cpf",
			"pessoa.nome",
			"pessoa.sexo.codigo",
			"pessoa.cnpj",
			"pessoa.municipio.id",
			"pessoa.razaoSocial",
			"pessoa.inscricaoEstadual",
			"pessoa.isento",
			"licenca.numero",
			"licenca.dataCadastro",
			"licenca.caracterizacao.status.nome"
	).transform(new GeometryTransformer(), Geometry.class);

	public static JSONSerializer getEmpreendedor = SerializerUtil.create(
			"id",
			"cpfCnpj",
			"cpfCnpjCadastrante",
			"empreendimentoEU.empreendedor.id",
			"empreendimentoEU.empreendedor.dataCadastro",
			"empreendimentoEU.empreendedor.ativo",
			"empreendimentoEU.empreendedor.pessoa.nome",
			"empreendimentoEU.empreendedor.pessoa.cpf",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"empreendimentoEU.empreendedor.pessoa.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.tipo.codigo",
			"empreendimentoEU.empreendedor.pessoa.id",
			"empreendimentoEU.empreendedor.pessoa.sexo.descricao",
			"empreendimentoEU.empreendedor.pessoa.sexo.codigo",
			"empreendimentoEU.empreendedor.pessoa.enderecos.zonaLocalizacao.codigo",
			"empreendimentoEU.empreendedor.pessoa.dataNascimento",
			"empreendimentoEU.empreendedor.pessoa.estadoCivil.nome",
			"empreendimentoEU.empreendedor.pessoa.estadoCivil.codigo",
			"empreendimentoEU.empreendedor.pessoa.nomeMae",
			"empreendimentoEU.empreendedor.pessoa.naturalidade",
			"empreendimentoEU.empreendedor.pessoa.rg.numero",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.numero",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.secao",
			"empreendimentoEU.empreendedor.pessoa.tituloEleitoral.zona",
			"empreendimentoEU.empreendedor.pessoa.cnpj",
			"empreendimentoEU.empreendedor.pessoa.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.nomeFantasia",
			"empreendimentoEU.empreendedor.pessoa.razaoSocial",
			"empreendimentoEU.empreendedor.pessoa.dataConstituicao",
			"empreendimentoEU.empreendedor.pessoa.inscricaoEstadual",
			"empreendimentoEU.empreendedor.pessoa.contatos.id",
			"empreendimentoEU.empreendedor.pessoa.contatos.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.contatos.tipo.descricao",
			"empreendimentoEU.empreendedor.pessoa.contatos.valor",
			"empreendimentoEU.empreendedor.pessoa.contatos.principal",
			"empreendimentoEU.empreendedor.pessoa.enderecos.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.tipo.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.tipo.descricao",
			"empreendimentoEU.empreendedor.pessoa.enderecos.logradouro",
			"empreendimentoEU.empreendedor.pessoa.enderecos.numero",
			"empreendimentoEU.empreendedor.pessoa.enderecos.caixaPostal",
			"empreendimentoEU.empreendedor.pessoa.enderecos.bairro",
			"empreendimentoEU.empreendedor.pessoa.enderecos.complemento",
			"empreendimentoEU.empreendedor.pessoa.enderecos.cep",
			"empreendimentoEU.empreendedor.pessoa.enderecos.descricaoAcesso",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.id",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.sigla",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.estado.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.municipio.codigoIbge",
			"empreendimentoEU.empreendedor.pessoa.enderecos.zonaLocalizacao.nome",
			"empreendimentoEU.empreendedor.pessoa.enderecos.pais.id",
			"empreendimentoEU.pessoa.jurisdicao",
			"empreendimentoEU.pessoa.id",
			"empreendimentoEU.pessoa.idEntradaUnica",
			"empreendimentoEU.pessoa.nome",
			"empreendimentoEU.pessoa.cpf",
			"empreendimentoEU.pessoa.rg.numero",
			"empreendimentoEU.pessoa.nomeMae",
			"empreendimentoEU.pessoa.dataNascimento",
			"empreendimentoEU.pessoa.sexo.descricao",
			"empreendimentoEU.pessoa.sexo.codigo",
			"empreendimentoEU.pessoa.sexo.codigo",
			"empreendimentoEU.pessoa.tituloEleitoral.numero",
			"empreendimentoEU.pessoa.tituloEleitoral.secao",
			"empreendimentoEU.pessoa.tituloEleitoral.zona",
			"empreendimentoEU.pessoa.estadoCivil.id",
			"empreendimentoEU.pessoa.estadoCivil.nome",
			"empreendimentoEU.pessoa.estadoCivil.codigo",
			"empreendimentoEU.pessoa.naturalidade",
			"empreendimentoEU.pessoa.cnpj",
			"empreendimentoEU.pessoa.razaoSocial",
			"empreendimentoEU.pessoa.nomeFantasia",
			"empreendimentoEU.pessoa.inscricaoEstadual",
			"empreendimentoEU.pessoa.isento",
			"empreendimentoEU.pessoa.dataConstituicao",
			"empreendimentoEU.pessoa.esfera",
			"empreendimentoEU.pessoa.tipo.codigo",
			"empreendimentoEU.pessoa.contatos.id",
			"empreendimentoEU.pessoa.contatos.principal",
			"empreendimentoEU.pessoa.contatos.valor",
			"empreendimentoEU.pessoa.contatos.tipo.id",
			"empreendimentoEU.pessoa.contatos.tipo.descricao",
			"empreendimentoEU.pessoa.enderecos.id",
			"empreendimentoEU.pessoa.enderecos.tipo.id",
			"empreendimentoEU.pessoa.enderecos.tipo.codigo",
			"empreendimentoEU.pessoa.enderecos.cep",
			"empreendimentoEU.pessoa.enderecos.logradouro",
			"empreendimentoEU.pessoa.enderecos.numero",
			"empreendimentoEU.pessoa.enderecos.semNumero",
			"empreendimentoEU.pessoa.enderecos.complemento",
			"empreendimentoEU.pessoa.enderecos.bairro",
			"empreendimentoEU.pessoa.enderecos.caixaPostal",
			"empreendimentoEU.pessoa.enderecos.roteiroAcesso",
			"empreendimentoEU.pessoa.enderecos.municipio.id",
			"empreendimentoEU.pessoa.enderecos.municipio.nome",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.codigo",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.nome",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.sigla",
			"empreendimentoEU.pessoa.enderecos.municipio.estado.id",
			"empreendimentoEU.pessoa.enderecos.correspondencia")
			.transform(new GeometryTransformer(), Geometry.class)
			.exclude("*");

}


